=== tools/rcomp-7.0.1/debian/changelog ===
rcomp (7.0.1-1) unstable; urgency=low

  * Initial Release.

 -- Alfred E. Heggestad <alfredh@symbianos.org>  Sat, 27 Dec 2003 19:57:22 +0100
