=== tools/makesis-2.0.0/debian/control ===
Source: makesis
Section: utils
Priority: optional
Maintainer: Alfred E. Heggestad <alfredh@symbianos.org>
Build-Depends: debhelper (>> 4.0.0), zlib1g-dev, g++, libstdc++-dev
Standards-Version: 3.5.8

Package: makesis
Architecture: any
Depends: ${shlibs:Depends} ${misc:Depends}
Description: A utility for creating SymbianOS Installation (SIS) files
 MakeSIS, version 2.0
 A utility for creating Software Installation (SIS) files.
 Copyright (c) 2000 Symbian Ltd. All rights reserved.
 .
 Ported to linux by various people at DebCamp.
 .
 Generated files are Unicode only and is compatible with all
 SymbianOS SDKs from version 6.0 and later.
